Bug 5284 - xorg crash on ati ATI Radeon 9600 Mobile
: xorg crash on ati ATI Radeon 9600 Mobile
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/xorg-x11-server)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-04 20:33 by
Modified: 2005-10-31 21:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-04 20:33:08
xorg падает на ATI Radeon 9600 Mobile
так-же наблюдаются артефакты при переключении между консолями.
------- Comment #1 From 2004-10-04 23:57:47 -------
вполне возможно. нужно обновлять kernel-modules-drm 
------- Comment #2 From 2004-10-05 12:57:08 -------
Не помогло. Еще есть варианты ?
3D так-же не работает.
(При запуске 3d приложений иксы тоже падают).
------- Comment #3 From 2004-10-05 13:18:49 -------
R300        Radeon 9700PRO/9700/9500PRO/9500/9600TX, FireGL  X1/Z1  (2D only) 
R350        Radeon 9800PRO/9800SE/9800, FireGL X2 (2D only) 
R360        Radeon 9800XT (2d only) 
RV350       Radeon 9600PRO/9600SE/9600, M10/M11, FireGL T2 (2D only) 
RV360       Radeon 9600XT (2d only) 
 
которая из них? 3D для них нет. и еще бы увидеть вывод 
$ ls -l /usr/X11R6/lib/libGL* 
------- Comment #4 From 2004-10-06 13:29:19 -------
не воспроизводится ни в каком виде
------- Comment #5 From 2004-10-06 14:20:03 -------
100% воспроизводится на ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] в
ноутбуке maxselect A7Wide.

[spider@spider spider]$ ls -l /usr/X11R6/lib/libGL*
lrwxrwxrwx  1 root root     12 Окт  4 13:49 /usr/X11R6/lib/libGL.so ->
libGL.so. 1.2
lrwxrwxrwx  1 root root     14 Окт  4 13:49 /usr/X11R6/lib/libGL.so.1 ->
libGL.s
o.fglrx
lrwxrwxrwx  1 root root     20 Окт  4 13:49 /usr/X11R6/lib/libGL.so.1.2 ->
mesa_
gl/libGL.so.1.2
-rw-r--r--  1 root root 564720 Авг 16 20:17 /usr/X11R6/lib/libGL.so.fglrx
lrwxrwxrwx  1 root root     13 Окт  4 13:49 /usr/X11R6/lib/libGLU.so ->
libGLU.s
o.1.3
lrwxrwxrwx  1 root root     13 Окт  4 13:49 /usr/X11R6/lib/libGLU.so.1 ->
libGLU
.so.1.3
-rw-r--r--  1 root root 496216 Сен 29 18:02 /usr/X11R6/lib/libGLU.so.1.3
lrwxrwxrwx  1 root root     13 Окт  4 13:49 /usr/X11R6/lib/libGLw.so ->
libGLw.s
o.1.0
lrwxrwxrwx  1 root root     13 Окт  4 13:49 /usr/X11R6/lib/libGLw.so.1 ->
libGLw
.so.1.0
-rw-r--r--  1 root root  22328 Сен 29 18:02 /usr/X11R6/lib/libGLw.so.1.0
[spider@spider spider]$
------- Comment #6 From 2004-10-06 16:49:24 -------
fglrx не поддерживается в 6.8. используйте драйвер ati
------- Comment #7 From 2004-10-14 15:04:24 -------
http://r300.sourceforge.net/

Патчи для 

R300 AD [Radeon 9500 Pro]
R300 AE [Radeon 9700 Pro]
R300 AF [Radeon 9700 Pro]
R300 AG [FireGL Z1/X1]
RV350 AP [Radeon 9600]
RV350 AR [Radeon 9600] 
R300 AF  [Radeon 9700 Pro]
R300 NE [Radeon 9500 Pro]
RV350 NF [Radeon 9600]
R300 NG [FireGL X1]
RV350 [Mobility Radeon 9600 M10] !!!
M10 NT [FireGL Mobility T2]
------- Comment #8 From 2004-10-15 14:10:28 -------
The source code on this website may damage your hardware.
It is *UNTESTED* and *BROKEN* !